Package fr.gouv.vitam.storage.driver.model

# Class StoragePutResult

java.lang.Object
fr.gouv.vitam.storage.driver.model.StorageResult
fr.gouv.vitam.storage.driver.model.StorageObjectResult
fr.gouv.vitam.storage.driver.model.StoragePutResult

public class StoragePutResult extends StorageObjectResult
Holds result data that come as a result of a request to put an object on the distant storage offer

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoragePutResult(Integer tenantId, String type, String guid, String distantObjectId, String digestHashBase16, long objectSize)`
  Initialize the needed parameters for put results

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDigestHashBase16()`
  `String`
  `getDistantObjectId()`
  `long`
  `getObjectSize()`
  `String`
  `toString()`

  ### Methods inherited from class fr.gouv.vitam.storage.driver.model.StorageObjectResult

  `getGuid`

  ### Methods inherited from class fr.gouv.vitam.storage.driver.model.StorageResult

  `getTenantId, getType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StoragePutResult

    public StoragePutResult(Integer tenantId, String type, String guid, String distantObjectId, String digestHashBase16, long objectSize)
    Initialize the needed parameters for put results
    Parameters:
      `tenantId` - The request tenantId
      `type` - the type The request type
      `guid` - the object guid
      `distantObjectId` - The distant object id
      `digestHashBase16` - the object digest hash
      `objectSize` - size of the object

- ## Method Details

  - ### getDistantObjectId

    public String getDistantObjectId()
    Returns:
      the object Id

  - ### getDigestHashBase16

    public String getDigestHashBase16()
    Returns:
      the digest

  - ### getObjectSize

    public long getObjectSize()
    Returns:
      the object Size

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`